/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.ui.comms.action;

// Java classes
import java.util.Date;
import java.util.List;

import org.apache.commons.lang.StringUtils;

import gov.va.med.fw.model.AbstractEntity;
import gov.va.med.fw.ui.struts.AbstractForm;

import gov.va.med.esr.common.model.comms.CommsLogEntry;
import gov.va.med.esr.common.model.comms.HandBookMailQueue;
import gov.va.med.esr.common.model.lookup.DeliveryPreferenceSourceOfChange;
import gov.va.med.esr.common.model.lookup.EmailType;
import gov.va.med.esr.common.model.party.Address;
import gov.va.med.esr.common.model.person.Person;
/**
 * @author DNS   RAMACP
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class DeliveryPreferencesForm extends AbstractForm {
//    private static final long serialVersionUID = -7677484911378149017L;
    
	/*
4.3 Display Handbook Delivery Preferences Information
The system will display the following Handbook Delivery Preferences for the selected person:
Current Delivery Preference (Mail or Online)
Email Address (if present and preference is Online)
Email Address Type (Personal/Private or Business)
Source of Change (HEC or Self Service)
User Name (of person who last changed the delivery preference)
Date/Time Last Updated (when delivery preference was last changed)
	 */
	
    private String selectedPersonId;
    
    private String deliveryPreference = "1"; //default Mail
    private String emailType = null;
    private String emailAddress = null;
	
	//these three are required and are always fixed in UI. They are not required to be displayed 
	private String sourceOfChange; 
	private String userName = null;
	private String changeDate = null;
	
	
	public String getChangeDate() {
		return changeDate;
	}

	public void setChangeDate(String changeDate) {
		this.changeDate = changeDate;
	}

	public String getUserName() {
		return userName;
	}
	
	public void setUserName(String userName) {
		this.userName = userName;
	}
	
	public String getSourceOfChange() {
		return sourceOfChange;
	}
	
	public void setSourceOfChange(String sourceOfChange) {
		this.sourceOfChange = sourceOfChange;
	}
	
	public String getDeliveryPreference() {
		return deliveryPreference;
	}
	
	public void setDeliveryPreference(String deliveryPreference) {
		this.deliveryPreference = deliveryPreference;
	}
	
	public String getSelectedPersonId() {
		return selectedPersonId;
	}
	
	public void setSelectedPersonId(String selectedPersonId) {
		this.selectedPersonId = selectedPersonId;
	}

	public String getEmailType() {
		return emailType;
	}
	
	public void setEmailType(String emailType) {
		this.emailType = emailType;
	}

	public String getEmailAddress() {
		return emailAddress;
	}
	
	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}

}
